Package org.eclipse.lemminx.extensions.entities

## Class EntitiesDocumentationUtils

- java.lang.Object
- - org.eclipse.lemminx.extensions.entities.EntitiesDocumentationUtils

    public class EntitiesDocumentationUtils
    extends Object

Utilities class to generate entities documentation.

### Nested Class Summary

Nested Classes
`static class` `EntitiesDocumentationUtils.EntityOriginType`
`static class` `EntitiesDocumentationUtils.PredefinedEntity` Predefined entities.

### Method Summary

All Methods Static Methods Concrete Methods
`static org.eclipse.lsp4j.MarkupContent` `getDocumentation​(String entityName, String entityValue, String systemID, String publicID, String targetURI, EntitiesDocumentationUtils.EntityOriginType type, boolean markdown)` Returns the entity documentation.
`static org.eclipse.lsp4j.MarkupContent` `getDocumentation​(String entityName, String entityValue, EntitiesDocumentationUtils.EntityOriginType type, boolean markdown)`
`static org.eclipse.lsp4j.MarkupContent` `getDocumentation​(DTDEntityDecl entity, EntitiesDocumentationUtils.EntityOriginType type, boolean markdown)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getDocumentation

    public static org.eclipse.lsp4j.MarkupContent getDocumentation​(String entityName,
                                                                   String entityValue,
                                                                   EntitiesDocumentationUtils.EntityOriginType type,
                                                                   boolean markdown)

#### getDocumentation

    public static org.eclipse.lsp4j.MarkupContent getDocumentation​(DTDEntityDecl entity,
                                                                   EntitiesDocumentationUtils.EntityOriginType type,
                                                                   boolean markdown)

#### getDocumentation

    public static org.eclipse.lsp4j.MarkupContent getDocumentation​(String entityName,
                                                                   String entityValue,
                                                                   String systemID,
                                                                   String publicID,
                                                                   String targetURI,
                                                                   EntitiesDocumentationUtils.EntityOriginType type,
                                                                   boolean markdown)

Returns the entity documentation.

Parameters:
  `entityName` - the entity name.
  `entityValue` - the entity value.
  `type` - the entity type (local, external or predefined)
  `markdown` - true if the documentation can be formatted as markdown and false otherwise.
Returns:
  the entity documentation.